Execute action
curl --request POST \
--url https://admin.devmain.flowxai.dev/onboarding/api/runtime/process/{processUuid}/token/{tokenUuid}/ui-action/{uiActionFlowxUuid}/context/main/execute \
--header 'Authorization: <authorization>'import requests
url = "https://admin.devmain.flowxai.dev/onboarding/api/runtime/process/{processUuid}/token/{tokenUuid}/ui-action/{uiActionFlowxUuid}/context/main/execute"
headers = {"Authorization": "<authorization>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<authorization>'}};
fetch('https://admin.devmain.flowxai.dev/onboarding/api/runtime/process/{processUuid}/token/{tokenUuid}/ui-action/{uiActionFlowxUuid}/context/main/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tokenUuid": "<string>",
"currentNodeId": 123,
"templatesSequence": null,
"backAction": true,
"resetToken": true
}Execute action
This endpoint executes an action within a specific process runtime.
POST
/
onboarding
/
api
/
runtime
/
process
/
{processUuid}
/
token
/
{tokenUuid}
/
ui-action
/
{uiActionFlowxUuid}
/
context
/
main
/
execute
Execute action
Base URL
- Always prepend the endpoint with the correct Base URL.
- For different environments (like staging or production), switch the base URL accordingly.
Request Headers
string
required
Bearer token required for authentication. Format:
Bearer <token>.Path Parameters
string
required
The unique identifier of the process instance.
string
required
The unique identifier of the runtime token.
string
required
The unique identifier of the UI action to execute.
Response fields
string
The unique identifier of the token associated with the process.
integer
The ID of the current node in the process execution flow.
null
Reserved for future use. Currently always
null.boolean
Indicates whether a back action is triggered. Default is
false.boolean
Indicates whether the token should be reset. Default is
false.Last modified on March 7, 2025
Related topics
Android SDKFlowX.AI 5.5.0 Release NotesAdding a new nodeFlowX.AI AuditFlowX.AI 5.3.0 Release NotesโI

